Item Logo
Wms apiApi referenceInbound api

RC Search By Paging

RC Search By Paging API

This article introduces the general RC Search by Paging API use case for easily understanding and applying this API.

Introduction

The RC Search by Paging API is commonly used in WMS system to efficiently retrieve large sets of records from the system in a paginated format. It allows uses to search and filter records via PO# or a time range and return data in page, rather than fetching all data at once. This helps improve performance, particularly when dealing with extensive datasets.

The primary goal of the RC Search by Paging API is to optimize data retrieval in a way that minimizes the system’s resource load, making it easier for users to handle large volumes of records.

API Request

API: POST /edi/inbound/receipt/rc/search-by-paging Body Request:


FieldName


Description

DataType

Length

Required

Version

Sample

Root









1

CompanyID


Hard code, assigned by UNIS system admin.

string

15

Yes

1.2

"LT"

2

FacilityID


FacilityID indicates which warehouse UNIS ship from. It should be assigned by UNIS CSR

string

15

Yes

1.2

"889"

3

CustomerID


Hard code, assigned by UNIS accounting dept.

string

15

Yes

1.2

"AUKINT0001"

4

PONo


Inbound Purchase Order Number, which is a uniquely identifies a purchase order and is generally defined by the buyer.

string

50

No

1.2

"8957515451-10"

5

ReferenceNo


Unique identifier, indicate an order.

string

50

No

1.2

"LIV2020021804-10"

6

CreatedWhenFrom


Created From

string

50

No

1.2

"2020-02-24T00:11:11.892"

7

CreatedWhenTo


Created To

string

50

No

1.2

8

Paging



Paging

object


No

1.3



8.1

PageNo


Page Number

int


No

1.3

1

API Return

This section introduces the parameters which from RN import result.

Main Fields


FieldName

Description

DataType

Length

Version

Sample

Root







1

CompanyID

Hard code, assigned by UNIS system admin.

string

15

1.2

"889"

2

CustomerID

Hard code, assigned by UNIS accounting dept.

string

15

1.2

"AUKINT0001"

3

ReferenceNo

Unique identifier, indicates an order.

string

50

1.2

"Roy022501-3"

4

PONo

Inbound Purchase Order Number, uniquely identifies a purchase order and is generally defined by buyer.

string

50

1.2

"8957515451-3"

5

RC

DC Content

object


1.2


RC Fields


FieldName

Description

DataType

Length

Version

Root






5.1

CompanyID

Hard code, assigned by UNIS system admin.

string

15

1.2

5.2

CustomerID

Hard code, assigned by UNIS accounting dept.

string

15

1.2

5.3

SupplierID

A party that supplies goods. If you did not set multiple suppliers with UNIS, you can ignore this field.

string

15

1.2

5.4

PONo

Inbound Purchase Order Number, uniquely identifies a purchase order and is generally defined by buyer.

string

50

1.2

5.5

ReferenceNo

Unique identifier, indicates an order.

string

50

1.2

5.6

WISEPOID

UNIS System (WISE) Receipt Number, unique in UNIS system.

string

50

1.2

5.7

ReceivedDate

Received Date

string

8

1.2

5.8

ContainerNumber

Container Number

string

50

1.2

5.10

BOLNo

The bill of lading (BOL) works as a receipt of freight services, contract between carrier and shipper.

string

50

1.2

5.12

CarrierName

Carrier Name, required if SCACCode is empty

string

50

1.2

5.13

SCACCode

Code to identify vessel operating common carriers (VOCC), typically 2-4 letters long.

string

50

1.2

5.14

DynTxtPropertyValue01

Customized field 01

string

200

1.2

5.15

DynTxtPropertyValue02

Customized field 02

string

200

1.2

5.16

DynTxtPropertyValue03

Customized field 03

string

200

1.2

5.17

DynTxtPropertyValue04

Customized field 04

string

200

1.2

5.18

DynTxtPropertyValue05

Customized field 05

string

200

1.2

5.19

DynTxtPropertyValue06

Customized field 06

string

200

1.2

5.20

DynTxtPropertyValue07

Customized field 07

string

200

1.2

5.21

DynTxtPropertyValue08

Customized field 08

string

200

1.2

5.22

DynTxtPropertyValue09

Customized field 09

string

200

1.2

5.23

DynTxtPropertyValue10

Customized field 10

string

200

1.2

5.24

DynTxtPropertyValue11

Customized field 11

string

200

1.2

5.25

DynTxtPropertyValue12

Customized field 12

string

200

1.2

5.26

DynTxtPropertyValue13

Customized field 13

string

200

1.2

5.27

DynTxtPropertyValue14

Customized field 14

string

200

1.2

5.28

DynTxtPropertyValue15

Customized field 15

string

200

1.2

5.29

DynTxtPropertyValue16

Customized field 16

string

200

1.2

5.30

DynTxtPropertyValue17

Customized field 17

string

200

1.2

5.31

DynTxtPropertyValue18

Customized field 18

string

200

1.2

5.32

DynTxtPropertyValue19

Customized field 19

string

200

1.2

5.33

DynTxtPropertyValue20

Customized field 20

string

200

1.2

5.34

Items


object


1.2

5.35

Cartons


object


1.2

Items Fields


FieldName

Description

DataType

Length

Version

Root






5.34.1

POLineNo

You can pass in a sequence number for each ItemLine, it will be returned on the RC (Receiving Confirmation) file. Or you can leave it empty.



1.2

5.34.2

ItemNumber

Product Item Name, it is your unique Item SKU#.

string

50

1.2

5.34.3

ReceivedQuantity

Received Quantity

int


1.2

5.34.4

CustomerMaterial

Your customer's product item number.

string

30

1.2

5.34.5

ItemNote

Item Notes

int


1.2

5.34.6

SerialNumber

Only apply to those Serialize product.

string

15

1.2

5.34.7

LotNo

A lot number is an identification number assigned to a particular quantity or lot of material from a single manufacturer.

string

15

1.2

5.34.8

UOM

Unit of Measurement. Supported Value: EA = Units/Each, CS = Case

string

15

1.2

5.34.9

ExpectedQty

Expected Qty to receive.



1.2

5.34.10

DynTxtPropertyValue01

Customized field 01

string

200

1.2

5.34.11

DynTxtPropertyValue02

Customized field 02

string

200

1.2

5.34.12

DynTxtPropertyValue03

Customized field 03

string

200

1.2

5.34.13

DynTxtPropertyValue04

Customized field 04

string

200

1.2

5.34.14

DynTxtPropertyValue05

Customized field 05

string

200

1.2

5.34.15

DynTxtPropertyValue06

Customized field 06

string

200

1.2

5.34.16

DynTxtPropertyValue07

Customized field 07

string

200

1.2

5.34.17

DynTxtPropertyValue08

Customized field 08

string

200

1.2

5.34.18

DynTxtPropertyValue09

Customized field 09

string

200

1.2

5.34.19

DynTxtPropertyValue10

Customized field 10

string

200

1.2

5.34.20

DynTxtPropertyValue11

Customized field 11

string

200

1.2

5.34.21

DynTxtPropertyValue12

Customized field 12

string

200

1.2

5.34.22

DynTxtPropertyValue13

Customized field 13

string

200

1.2

5.34.23

DynTxtPropertyValue14

Customized field 14

string

200

1.2

5.34.24

DynTxtPropertyValue15

Customized field 15

string

200

1.2

5.34.25

DynTxtPropertyValue16

Customized field 16

string

200

1.2

5.34.26

DynTxtPropertyValue17

Customized field 17

string

200

1.2

5.34.27

DynTxtPropertyValue18

Customized field 18

string

200

1.2

5.34.28

DynTxtPropertyValue19

Customized field 19

string

200

1.2

5.34.29

DynTxtPropertyValue20

Customized field 20

string

200

1.2

Cartons Fields


FieldName

Description

DataType

Length

Version

Root






5.35.1

CartonNo

UNIS collected the Carton Number due to customer's requirement.

string

50

1.2

5.35.2

PoundPerCarton


string

15

1.2

5.35.3

ItemLines


object


1.2

ItemLines Fields


FieldName

Description

DataType

Length

Version

Root






5.35.3.1

ItemID

Product Item Name, it is your unique Item SKU#.

string

15

1.2

5.35.3.2

LotNo

UNIS collected the Lot No due to customer's requirement.

string

50

1.2

5.35.3.3

QtyInCarton

Quantity in one Carton



1.2

5.35.3.4

UOM

Unit of Measurement

string

15

1.2

5.35.3.5

DynTxtPropertyValue01

Customized field 01

string

200

1.2

5.35.3.6

DynTxtPropertyValue02

Customized field 02

string

200

1.2

5.35.3.7

DynTxtPropertyValue03

Customized field 03

string

200

1.2

5.35.3.8

DynTxtPropertyValue04

Customized field 04

string

200

1.2

5.35.3.9

DynTxtPropertyValue05

Customized field 05

string

200

1.2

5.35.3.10

DynTxtPropertyValue06

Customized field 06

string

200

1.2

5.35.3.11

DynTxtPropertyValue07

Customized field 07

string

200

1.2

5.35.3.12

DynTxtPropertyValue08

Customized field 08

string

200

1.2

5.35.3.13

DynTxtPropertyValue09

Customized field 09

string

200

1.2

5.35.3.14

DynTxtPropertyValue10

Customized field 10

string

200

1.2

5.35.3.15

DynTxtPropertyValue11

Customized field 11

string

200

1.2

5.35.3.16

DynTxtPropertyValue12

Customized field 12

string

200

1.2

5.35.3.17

DynTxtPropertyValue13

Customized field 13

string

200

1.2

5.35.3.18

DynTxtPropertyValue14

Customized field 14

string

200

1.2

5.35.3.19

DynTxtPropertyValue15

Customized field 15

string

200

1.2

5.35.3.20

DynTxtPropertyValue16

Customized field 16

string

200

1.2

5.35.3.21

DynTxtPropertyValue17

Customized field 17

string

200

1.2

5.35.3.22

DynTxtPropertyValue18

Customized field 18

string

200

1.2

5.35.3.23

DynTxtPropertyValue19

Customized field 19

string

200

1.2

5.35.3.24

DynTxtPropertyValue20

Customized field 20

string

200

1.2

Example

Request

```json // Url http://preview.logisticsteam.com/shared/bam/v1/public/edi/inbound/receipt/rc/search-by-paging

// Body { "CompanyID": "LT", "CustomerID": "AUKINT0001", "FacilityID": "889", "PONo": "", "ReferenceNo": "", "CreatedWhenFrom": "2020-06-15T00:11:11.892", "CreatedWhenTo": "2020-06-20T00:12:11.892", "Paging":{ "PagingNo":1 } } ```

Response

json // Success return [ { "FacilityID": "889", "CustomerID": "AUKINT0001", "ReferenceNo": "1186074", "PONo": "1030024158", "RC": { "WISECompanyID": "ORG-1", "CustomerID": "AUKINT0001", "PONo": "1030024158", "ReferenceNo": "1186074", "WISEPOID": "RN-6250", "ReceivedDate": "2020-05-22T12:21:11.799", "ContainerNumber": "CSNU1381690", "Note": "", "Items": [ { "ItemNumber": "1613402000", "ItemShortDescription": "Georgian Bluffs Polished 2cm", "ItemDescription": "Georgian Bluffs Polished 2cm", "ReceivedQuantity": 90, "CustomerMaterial": "", "Diverse": null, "ItemNote": "", "SerialNumber": [ "3486800A-1613402000-306514966", "3486800A-1613402000-356515221", "3486800A-1613402000-356515213", "3486800A-1613402000-356515120" ], "LotNo": "3486800A", "DynTxtPropertyValue01": "", "DynTxtPropertyValue02": "", "DynTxtPropertyValue03": "GOOD", "DynTxtPropertyValue04": "", "DynTxtPropertyValue05": "", "DynTxtPropertyValue06": "", "DynTxtPropertyValue07": "", "DynTxtPropertyValue08": "", "DynTxtPropertyValue09": "", "DynTxtPropertyValue10": "", "dynTxtPropertyValue11": "", "dynTxtPropertyValue12": "", "dynTxtPropertyValue13": "", "dynTxtPropertyValue14": "", "dynTxtPropertyValue15": "", "dynTxtPropertyValue16": "", "dynTxtPropertyValue17": "", "dynTxtPropertyValue18": "", "dynTxtPropertyValue19": "", "dynTxtPropertyValue20": "", "SupplierID": "ORG-119349", "SupplierName": "CAESARSTONE", "UOM": "EA", "ExpectedQty": 90, "ExpirationDate": "", "SHIPMENTLINEID": "" } ], "PalletQty": 0, "Cartons": [], "DynTxtPropertyValue01": "", "DynTxtPropertyValue02": "", "DynTxtPropertyValue03": "", "DynTxtPropertyValue04": "", "DynTxtPropertyValue05": "", "DynTxtPropertyValue06": "", "DynTxtPropertyValue07": "", "DynTxtPropertyValue08": "", "DynTxtPropertyValue09": "", "DynTxtPropertyValue10": "", "DynTxtPropertyValue11": "", "DynTxtPropertyValue12": "", "DynTxtPropertyValue13": "", "DynTxtPropertyValue14": "", "DynTxtPropertyValue15": "", "DynTxtPropertyValue16": "", "DynTxtPropertyValue17": "", "DynTxtPropertyValue18": "", "DynTxtPropertyValue19": "", "DynTxtPropertyValue20": "", "TitleID": "ORG-119349", "BOLNo": "1020503947", "SCACCode": "WC", "CarrierName": "WILL CALL", "RECEIPTSOURCECODE": null, "ORGANIZATIONCODE": null, "TOSUBINVENTORY": null }, "CreatedWhen": "2020-05-22T09:22:11.996" }, ... ]